System.ServiceModel 4.0.0.0 System.Enum

When creating a indigo1 application that requires authentication and/or authorization of callers, you can specify that events related to security be recorded for either success, failure, or both. The location of the log is determined by this enumeration.

The level of the audit log is specified by setting the or the property of the class to one of the values.

You can also specify audit behavior using the serviceSecurityAudit element binding.

If the property is set to and is not set in the , audit events will not be written to the Security log. No failure is returned, but audit entries will not be written to the Security log. In addition, the calling thread must have SeAuditPrivilege to be able to write to the Security log.

## Default Dependent on Operating System

When setting the property to the value, the operating system determines which log will actually be written to. For more information, see Auditing Security Events.

Specifies the location where security-related event logs are written.

- Field
  4.0.0.0
  System.ServiceModel.AuditLogLocation

  Specifies the Application log in the event log.

- Field
  4.0.0.0
  System.ServiceModel.AuditLogLocation

  Specifies the default location, which is determined by the operating system. If writing to the Security log is supported (such as on wv and ws2003 and later platforms), the default log location is the Security log. Otherwise (such as in wxpsp2), the default log location is the Application log.

- Field
  4.0.0.0
  System.ServiceModel.AuditLogLocation

  Specifies the Security log in the event log. The calling thread must have SeAuditPrivilege to be able to write to the Security log.